# Source

Full commit
Blame Embed Raw

- Default File Viewer

       1
       2
       3
       4
       5
       6
       7
       8
       9
      10
      11
      12
      13
      14
      15
      16
      17
      18
      19
      20
      21
      22
      23
      24
      25
      26
      27
      28
      29
      30
      31
      32
      33
      34
      35
      36
      37
      38
      39
      40
      41
      42
      43
      44
      45
      46
      47
      48
      49
      50
      51
      52
      53
      54
      55
      56
      57
      58
      59
      60
      61
      62
      63
      64
      65
      66
      67
      68
      69
      70
      71
      72
      73
      74
      75
      76
      77
      78
      79
      80
      81
      82
      83
      84
      85
      86
      87
      88
      89
      90
      91
      92
      93
      94
      95
      96
      97
      98
      99
     100
     101
     102
     103
     104
     105
     106
     107
     108
     109
     110
     111
     112
     113
     114
     115
     116
     117
     118
     119
     120
     121
     122
     123
     124
     125
     126
     127
     128
     129
     130
     131
     132
     133
     134
     135
     136
     137
     138
     139
     140
     141
     142
     143
     144
     145
     146
     147
     148
     149
     150
     151
     152
     153
     154
     155
     156
     157
     158
     159
     160
     161
     162
     163
     164
     165
     166
     167
     168
     169
     170
     171
     172
     173
     174
     175
     176
     177
     178
     179
     180
     181
     182
     183
     184
     185
     186
     187
     188
     189
     190
     191
     192
     193
     194
     195
     196
     197
     198
     199
     200
     201
     202
     203
     204
     205
     206
     207
     208
     209
     210
     211
     212
     213
     214
     215
     216
     217
     218
     219
     220
     221
     222
     223
     224
     225
     226
     227
     228
     229
     230
     231
     232
     233
     234
     235
     236
     237
     238
     239
     240
     241
     242
     243
     244
     245
     246
     247
     248
     249
     250
     251
     252
     253
     254
     255
     256
     257
     258
     259
     260
     261
     262
     263
     264
     265
     266
     267
     268
     269
     270
     271
     272
     273
     274
     275
     276
     277
     278
     279
     280
     281
     282
     283
     284
     285
     286
     287
     288
     289
     290
     291
     292
     293
     294
     295
     296
     297
     298
     299
     300
     301
     302
     303
     304
     305
     306
     307
     308
     309
     310
     311
     312
     313
     314
     315
     316
     317
     318
     319
     320
     321
     322
     323
     324
     325
     326
     327
     328
     329
     330
     331
     332
     333
     334
     335
     336
     337
     338
     339
     340
     341
     342
     343
     344
     345
     346
     347
     348
     349
     350
     351
     352
     353
     354
     355
     356
     357
     358
     359
     360
     361
     362
     363
     364
     365
     366
     367
     368
     369
     370
     371
     372
     373
     374
     375
     376
     377
     378
     379
     380
     381
     382
     383
     384
     385
     386
     387
     388
     389
     390
     391
     392
     393
     394
     395
     396
     397
     398
     399
     400
     401
     402
     403
     404
     405
     406
     407
     408
     409
     410
     411
     412
     413
     414
     415
     416
     417
     418
     419
     420
     421
     422
     423
     424
     425
     426
     427
     428
     429
     430
     431
     432
     433
     434
     435
     436
     437
     438
     439
     440
     441
     442
     443
     444
     445
     446
     447
     448
     449
     450
     451
     452
     453
     454
     455
     456
     457
     458
     459
     460
     461
     462
     463
     464
     465
     466
     467
     468
     469
     470
     471
     472
     473
     474
     475
     476
     477
     478
     479
     480
     481
     482
     483
     484
     485
     486
     487
     488
     489
     490
     491
     492
     493
     494
     495
     496
     497
     498
     499
     500
     501
     502
     503
     504
     505
     506
     507
     508
     509
     510
     511
     512
     513
     514
     515
     516
     517
     518
     519
     520
     521
     522
     523
     524
     525
     526
     527
     528
     529
     530
     531
     532
     533
     534
     535
     536
     537
     538
     539
     540
     541
     542
     543
     544
     545
     546
     547
     548
     549
     550
     551
     552
     553
     554
     555
     556
     557
     558
     559
     560
     561
     562
     563
     564
     565
     566
     567
     568
     569
     570
     571
     572
     573
     574
     575
     576
     577
     578
     579
     580
     581
     582
     583
     584
     585
     586
     587
     588
     589
     590
     591
     592
     593
     594
     595
     596
     597
     598
     599
     600
     601
     602
     603
     604
     605
     606
     607
     608
     609
     610
     611
     612
     613
     614
     615
     616
     617
     618
     619
     620
     621
     622
     623
     624
     625
     626
     627
     628
     629
     630
     631
     632
     633
     634
     635
     636
     637
     638
     639
     640
     641
     642
     643
     644
     645
     646
     647
     648
     649
     650
     651
     652
     653
     654
     655
     656
     657
     658
     659
     660
     661
     662
     663
     664
     665
     666
     667
     668
     669
     670
     671
     672
     673
     674
     675
     676
     677
     678
     679
     680
     681
     682
     683
     684
     685
     686
     687
     688
     689
     690
     691
     692
     693
     694
     695
     696
     697
     698
     699
     700
     701
     702
     703
     704
     705
     706
     707
     708
     709
     710
     711
     712
     713
     714
     715
     716
     717
     718
     719
     720
     721
     722
     723
     724
     725
     726
     727
     728
     729
     730
     731
     732
     733
     734
     735
     736
     737
     738
     739
     740
     741
     742
     743
     744
     745
     746
     747
     748
     749
     750
     751
     752
     753
     754
     755
     756
     757
     758
     759
     760
     761
     762
     763
     764
     765
     766
     767
     768
     769
     770
     771
     772
     773
     774
     775
     776
     777
     778
     779
     780
     781
     782
     783
     784
     785
     786
     787
     788
     789
     790
     791
     792
     793
     794
     795
     796
     797
     798
     799
     800
     801
     802
     803
     804
     805
     806
     807
     808
     809
     810
     811
     812
     813
     814
     815
     816
     817
     818
     819
     820
     821
     822
     823
     824
     825
     826
     827
     828
     829
     830
     831
     832
     833
     834
     835
     836
     837
     838
     839
     840
     841
     842
     843
     844
     845
     846
     847
     848
     849
     850
     851
     852
     853
     854
     855
     856
     857
     858
     859
     860
     861
     862
     863
     864
     865
     866
     867
     868
     869
     870
     871
     872
     873
     874
     875
     876
     877
     878
     879
     880
     881
     882
     883
     884
     885
     886
     887
     888
     889
     890
     891
     892
     893
     894
     895
     896
     897
     898
     899
     900
     901
     902
     903
     904
     905
     906
     907
     908
     909
     910
     911
     912
     913
     914
     915
     916
     917
     918
     919
     920
     921
     922
     923
     924
     925
     926
     927
     928
     929
     930
     931
     932
     933
     934
     935
     936
     937
     938
     939
     940
     941
     942
     943
     944
     945
     946
     947
     948
     949
     950
     951
     952
     953
     954
     955
     956
     957
     958
     959
     960
     961
     962
     963
     964
     965
     966
     967
     968
     969
     970
     971
     972
     973
     974
     975
     976
     977
     978
     979
     980
     981
     982
     983
     984
     985
     986
     987
     988
     989
     990
     991
     992
     993
     994
     995
     996
     997
     998
     999
    1000
    1001
    1002
    1003
    1004
    1005
    1006
    1007
    1008
    1009
    1010
    1011
    1012
    1013
    1014
    1015
    1016
    1017
    1018
    1019
    1020
    1021
    1022
    1023
    1024
    1025
    1026
    1027
    1028
    1029
    1030
    1031
    1032
    1033
    1034
    1035
    1036
    1037
    1038
    1039
    1040
    1041
    1042
    1043
    1044
    1045
    1046
    1047
    1048
    1049
    1050
    1051
    1052
    1053
    1054
    1055
    1056
    1057
    1058
    1059
    1060
    1061
    1062
    1063
    1064
    1065
    1066
    1067
    1068
    1069
    1070
    1071
    1072
    1073
    1074
    1075
    1076
    1077
    1078
    1079
    1080
    1081
    1082
    1083
    1084
    1085
    1086
    1087
    1088
    1089
    1090
    1091
    1092
    1093
    1094
    1095
    1096
    1097
    1098
    1099
    1100
    1101
    1102
    1103
    1104
    1105
    1106
    1107
    1108
    1109
    1110
    1111
    1112
    1113
    1114
    1115
    1116
    1117
    1118
    1119
    1120
    1121
    1122
    1123
    1124
    1125
    1126
    1127
    1128
    1129
    1130
    1131
    1132
    1133
    1134
    1135
    1136
    1137
    1138
    1139
    1140
    1141
    1142
    1143
    1144
    1145
    1146
    1147
    1148
    1149
    1150
    1151
    1152
    1153
    1154
    1155
    1156
    1157
    1158
    1159
    1160
    1161
    1162
    1163
    1164
    1165
    1166
    1167
    1168
    1169
    1170
    1171
    1172
    1173
    1174
    1175
    1176
    1177
    1178
    1179
    1180
    1181
    1182
    1183
    1184
    1185
    1186
    1187
    1188
    1189
    1190
    1191
    1192
    1193
    1194
    1195
    1196
    1197
    1198
    1199
    1200
    1201
    1202
    1203
    1204
    1205
    1206
    1207
    1208
    1209
    1210
    1211
    1212
    1213
    1214
    1215
    1216
    1217
    1218
    1219
    1220
    1221
    1222
    1223
    1224
    1225
    1226
    1227
    1228
    1229
    1230
    1231
    1232
    1233
    1234
    1235
    1236
    1237
    1238
    1239
    1240
    1241
    1242
    1243
    1244
    1245
    1246
    1247
    1248
    1249
    1250
    1251
    1252
    1253
    1254
    1255
    1256
    1257
    1258
    1259
    1260
    1261
    1262
    1263
    1264
    1265
    1266
    1267
    1268
    1269
    1270
    1271
    1272
    1273
    1274
    1275
    1276
    1277
    1278
    1279
    1280
    1281
    1282
    1283
    1284
    1285
    1286
    1287
    1288
    1289
    1290
    1291
    1292
    1293
    1294
    1295
    1296
    1297
    1298
    1299
    1300
    1301
    1302
    1303
    1304
    1305
    1306
    1307
    1308
    1309
    1310
    1311
    1312
    1313
    1314
    1315
    1316
    1317
    1318
    1319
    1320
    1321
    1322
    1323
    1324
    1325
    1326
    1327
    1328
    1329
    1330
    1331
    1332
    1333
    1334
    1335
    1336
    1337
    1338
    1339
    1340
    1341
    1342
    1343
    1344
    1345
    1346
    1347
    1348
    1349
    1350
    1351
    1352
    1353
    1354
    1355
    1356
    1357
    1358
    1359
    1360
    1361
    1362
    1363
    1364
    1365
    <?xml version="1.0" encoding="UTF-8"?>
    <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema">
    	<xs:annotation>
    		<xs:documentation>Schema for a ROME configuration file.</xs:documentation>
    	</xs:annotation>
    	<xs:simpleType name="AnalyzingModeType">
    		<xs:restriction base="xs:string">
    			<xs:enumeration value="online"/>
    			<xs:enumeration value="offline"/>
    		</xs:restriction>
    	</xs:simpleType>
    	<xs:simpleType name="DAQSystemType">
    		<xs:restriction base="xs:string">
    			<xs:enumeration value="root"/>
    			<xs:enumeration value="midas"/>
    		</xs:restriction>
    	</xs:simpleType>
    	<xs:simpleType name="DataBaseType">
    		<xs:restriction base="xs:string">
    			<xs:enumeration value="none"/>
    			<xs:enumeration value="xml"/>
    			<xs:enumeration value="sql"/>
    			<xs:enumeration value="text"/>
    		</xs:restriction>
    	</xs:simpleType>
    	<xs:simpleType name="ProgramModeValue">
    		<xs:restriction base="xs:integer">
    			<xs:enumeration value="0"/>
    			<xs:enumeration value="1"/>
    			<xs:enumeration value="2"/>
    			<xs:enumeration value="3"/>
    		</xs:restriction>
    	</xs:simpleType>
    	<xs:complexType name="ModesDesc">
    		<xs:annotation>
    			<xs:documentation>Description of the modes in which the framework can run.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="AnalyzingMode" type="AnalyzingModeType" default="offline">
    				<xs:annotation>
    					<xs:documentation>Describes the analyzing mode. This can be 'online' or 'offline'. Default is offline</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="DAQSystem" type="xs:string" default="none">
    				<xs:annotation>
    					<xs:documentation>Describes the DAQ system used for IO. This can be 'none', 'midas', 'rome', 'root' or a user defined DAQ system. Default is none.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="OfflineDesc">
    		<xs:annotation>
    			<xs:documentation>Description of the offline specific configuration.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="RunNumbers" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The run numbers of runs, which have to be analyzed. The following syntax must be used : 1,3-5,7,9-12. All runs must be specified in the 'MainConfiguration' even if they are overriden by a 'RunConfiguration'. (required for offline)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="EventNumbers" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The event numbers, which have to be analyzed. Use the same syntax as for the run numbers. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="InputFileNames" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The input file names containing the runs, which have to be analyzed. If no input file is specified the DAQ systems will work with a run number based file IO. All files must be specified in the 'MainConfiguration' even if they are overriden by a 'RunConfiguration'. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="OnlineDesc">
    		<xs:annotation>
    			<xs:documentation>Description of the online specific configuration.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="Host" type="xs:string">
    				<xs:annotation>
    					<xs:documentation>The name of the host of the online experiment. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Experiment" type="xs:string">
    				<xs:annotation>
    					<xs:documentation>The name of the online experiment. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="AnalyzerName" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The name of the analyzer in the midas environment. Can be used to run two analyzer in parallel. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="MemoryBuffer" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The name of the memory buffer to be accessed. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="PathsDesc">
    		<xs:annotation>
    			<xs:documentation>Description of the file paths the framework is using.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="InputFilePath" type="xs:string">
    				<xs:annotation>
    					<xs:documentation>The path of all input files. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="OutputFilePath" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The path of all output files. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="OutputFileOption" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Specify option to open output files for trees and histograms. This should be RECREATE, UPDATE or NUMBERED. When this is NUMBERED, the program will create a new file with appending a number at the end of file name, when it finds existing file. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="MakeOutputDirectory" type="xs:boolean" default="false" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Make file system directories for output files.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="SettingsDesc">
    		<xs:annotation>
    			<xs:documentation>Description of the common settings of the framework.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="VerboseLevel" type="xs:string" default="normal" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Specify amount of messages from framework. mute, error, warning, normal, verbose or debug. default is normal.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="ReportMaxCount" type="xs:integer" default="20" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Specify max number of prints of an identical error or warning by ROMEPrint::Report. No limit when this is 0.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="ReportSummaryFileName" type="xs:string" default="" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>File name of text output of message summary.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="ReportSummaryFileLevel" type="xs:string" default="warning" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Verbose level of text output of message summary. mute, error, warning, normal, verbose or debug. default is warning.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="ReportSummaryLineLength" type="xs:integer" default="2048" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Line length of text output of message summary.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="ConfigCommentLevel" type="xs:integer" default="1" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Amount of comments in configuration xml file. 0 to 5. You have more comments when this is larger. degault is 1.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="QuitMode" type="xs:boolean" default="false" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>If true, the program doesn't start a root session at the end. Default is false.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="ShowSplashScreen" type="xs:boolean" default="true" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Program shows a splash screen, when starting up. Default is true.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="GraphicalConfigEdit" type="xs:boolean" default="true" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Configuration file can be modified in a GUI at start up.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="PreserveConfig" type="xs:boolean" default="true" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Flag if configuration XML file is overwritten by program. When this is true, program does not overwrite configuration file.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="FloatingPointExceptionTrapDesc">
    		<xs:annotation>
    			<xs:documentation>Description of the settings of floating point exception trap.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="Invalid" type="xs:boolean" default="false" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>If true, trap invalid operation. (NaNS, INF-INF, INF/INF, 0/0, INF*0, sqrt(Negative) and so on)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="DivByZero" type="xs:boolean" default="false" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>If true, trap division by zero.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Overflow" type="xs:boolean" default="false" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>If true, trap overflow.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Underflow" type="xs:boolean" default="false" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>If true, trap underflow.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Inexact" type="xs:boolean" default="false" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>If true, trap inexact operations.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="SocketServerDesc">
    		<xs:annotation>
    			<xs:documentation>Description of the socket server. External programs can access the objects inside the framework over a root socket interface.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="Active" type="xs:boolean" default="false" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The socket server is per default not available. This flag activates it. Default is false.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="PortNumber" type="xs:integer" default="9090" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The number of the port for the socket server. Default is 9090.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="DataBaseDesc">
    		<xs:annotation>
    			<xs:documentation>Describes a data base, to which the framework should be connected.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="Name" type="xs:string">
    				<xs:annotation>
    					<xs:documentation>The name of the data base connection. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Connection" type="xs:string">
    				<xs:annotation>
    					<xs:documentation>The connection string to initialize the database. For xml: "path;databasename". For sql: "mysql://username:password@servername:portnumber/databasename". For text: "your/database/directory". (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Type" type="xs:string">
    				<xs:annotation>
    					<xs:documentation>The type of the data base. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="EventBased" type="xs:string" default="false" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>If this is true the database gets read at each event. The '#' in the path means then event number. Default is false. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="DataBasesDesc">
    		<xs:annotation>
    			<xs:documentation>Defines the data bases, which the analysis accesses.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="DataBase" type="DataBaseDesc" minOccurs="0" maxOccurs="unbounded">
    				<xs:annotation>
    					<xs:documentation>Description of a data base, to which the framework should be connected. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="FieldDesc">
    		<xs:annotation>
    			<xs:documentation>Description of a field of a folder.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="FieldName" type="xs:string">
    				<xs:annotation>
    					<xs:documentation>The name of the field. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="DataBaseName" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The name of the database from which to read the field value. This value overwrites the value specified in the definition file. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="DataBasePath" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The path to the value in the database. This value overwrites the value specified in the definition file. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="FolderDesc">
    		<xs:annotation>
    			<xs:documentation>Description of the folder configuration.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="FolderName" type="xs:string">
    				<xs:annotation>
    					<xs:documentation>The name of the folder. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Field" type="FieldDesc" minOccurs="0" maxOccurs="unbounded">
    				<xs:annotation>
    					<xs:documentation>Describes a field of a folder. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="BranchDesc">
    		<xs:annotation>
    			<xs:documentation>Description of a branch.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="BranchName" type="xs:string">
    				<xs:annotation>
    					<xs:documentation>The name of the branch. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Active" type="xs:boolean" default="true" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Inactive branches are not filled by the framework. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Read" type="xs:boolean" default="true" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Inactive branches are not read in ROME DAQ mode. This can be true even when Active is false. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="TreeDesc">
    		<xs:annotation>
    			<xs:documentation>Description of the tree configuration.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="TreeName" type="xs:string">
    				<xs:annotation>
    					<xs:documentation>The name of the tree. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Read" type="xs:boolean" default="false" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Trees can be read into the framework to start the analysis from a previously saved state. Default is false.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Write" type="xs:boolean" default="false" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Trees are written to disc. Default is false.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Fill" type="xs:boolean" default="false" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Trees are filled. It will be changed to true when 'Write' is true. Default is false.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="CompressionLevel" type="xs:integer" default="1" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Compression level for all branches of the tree. Default is 1.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="CompressionAlgorithm" type="xs:string" default="1" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Compression algorithm for the output file. ZLIB or LZMA is valid. Default is ZLIB.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="AutoSaveSize" type="xs:integer" default="300000000" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Number of bytes for auto saving. Auto saving is disabled when this is 0. Saving one tree triggers saving all trees to keep consistency of output files. Default is 100000000 for ROOT&lt;v5.26 and 300000000 for ROOT&gt;=v5.26.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="AutoFlushSize" type="xs:integer" default="-30000000" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Number of bytes for auto flushing. This is used as the argument of TTree::SetAutoFlush(). Flushing is done independent of other trees. Default is -30000000 (about 30 MB). Available from ROOT 5.26</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="CacheSize" type="xs:integer" default="-1" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Set size of the file cache for reading. This is used as the argument of TTree::SetCacheSize(). Default for ROOT&gt;=v5.26 is -1, and that for ROOT&lt;v5.26 is 10000000.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="MaxNumberOfEntries" type="xs:integer" default="0" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>If this value is greater than 0 the tree is a circular tree with the specified size. Default is 0.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="TreeInputFileName" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The name of the trees input file. This value overwrites the value specified in the definition file. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="TreeOutputFileName" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The name of the trees output file. This value overwrites the value specified in the definition file. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="SaveConfiguration" type="xs:boolean" default="false" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>If this is true, content of configuration XML file will be saved in the output file. Default is false</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Branch" type="BranchDesc" minOccurs="0" maxOccurs="unbounded">
    				<xs:annotation>
    					<xs:documentation>Describes a branch. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="SteeringParameterFieldArrayDesc">
    		<xs:annotation>
    			<xs:documentation>Description of an array value of the steering parameter field.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="SPFieldArrayIndex" type="xs:integer">
    				<xs:annotation>
    					<xs:documentation>The index of the value of a steering parameter field array. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="SPFieldArrayValue" type="xs:string">
    				<xs:annotation>
    					<xs:documentation>The value of the steering parameter field array. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="SteeringParameterGroupArrayDesc">
    		<xs:annotation>
    			<xs:documentation>Description of an array group of the steering parameter group.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="SPGroupArrayIndex" type="xs:integer">
    				<xs:annotation>
    					<xs:documentation>The index of the group of a steering parameter group array. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="SteeringParameterField" type="SteeringParameterFieldDesc" maxOccurs="unbounded">
    				<xs:annotation>
    					<xs:documentation>Describes a steering parameter field of the steering parameter group array. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="SteeringParameterFieldDesc">
    		<xs:annotation>
    			<xs:documentation>Description of the steering parameter fields.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="SPName" type="xs:string">
    				<xs:annotation>
    					<xs:documentation>The name of the steering parameter field. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="SPValue" type="xs:string" default="0" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The value of the steering parameter field. (required for single values)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="SPFieldArray" type="SteeringParameterFieldArrayDesc" minOccurs="0" maxOccurs="unbounded">
    				<xs:annotation>
    					<xs:documentation>Describes an array value of the steering parameter field. (required for array values)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="SteeringParameterGroupDesc">
    		<xs:annotation>
    			<xs:documentation>Description of the steering parameter groups.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="SPGroupName" type="xs:string">
    				<xs:annotation>
    					<xs:documentation>The name of the steering parameter group. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="SPGroupArray" type="SteeringParameterGroupArrayDesc" minOccurs="0" maxOccurs="unbounded">
    				<xs:annotation>
    					<xs:documentation>Describes an array group of the steering parameter group. (required for array groups)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="SteeringParameterField" type="SteeringParameterFieldDesc" minOccurs="0" maxOccurs="unbounded">
    				<xs:annotation>
    					<xs:documentation>Describes a steering parameter field. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="SteeringParameterGroup" type="SteeringParameterGroupDesc" minOccurs="0" maxOccurs="unbounded">
    				<xs:annotation>
    					<xs:documentation>Describes a steering parameter group. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="CommonDesc">
    		<xs:annotation>
    			<xs:documentation>Describes the framework specifications, which are common for analyzer and monitors.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="Settings" type="SettingsDesc" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Describes the common settings of the framework. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="FloatingPointExceptionTrap" type="FloatingPointExceptionTrapDesc" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Describes the settings of floating point exception trap. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="SocketServer" type="SocketServerDesc" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Describes the socket server. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="DataBases" type="DataBasesDesc" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Definition of the data bases, which the analysis accesses. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Folders" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Describes the folders in the framework.</xs:documentation>
    				</xs:annotation>
    				<xs:complexType>
    					<xs:sequence>
    						<xs:element name="Folder" type="FolderDesc" minOccurs="0" maxOccurs="unbounded">
    							<xs:annotation>
    								<xs:documentation>Describes the folder configuration. (optional)</xs:documentation>
    							</xs:annotation>
    						</xs:element>
    					</xs:sequence>
    				</xs:complexType>
    			</xs:element>
    			<xs:element name="Trees" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Describes the trees in the framework.</xs:documentation>
    				</xs:annotation>
    				<xs:complexType>
    					<xs:sequence>
    						<xs:element name="Accumulate" type="xs:boolean" default="false" minOccurs="0">
    							<xs:annotation>
    								<xs:documentation>Trees can be accumulated over certain runs. Default is false.</xs:documentation>
    							</xs:annotation>
    						</xs:element>
    						<xs:element name="MaxMemory" type="xs:integer" default="100000000" minOccurs="0">
    							<xs:annotation>
    								<xs:documentation>A limit of memory size of each tree. When the size of a tree exceed the limit, basket size is adjusted to be smaller than the limit. When this is 0 or negative, the check is not done. Available from ROOT 5.26.</xs:documentation>
    							</xs:annotation>
    						</xs:element>
    						<xs:element name="Tree" type="TreeDesc" maxOccurs="unbounded">
    							<xs:annotation>
    								<xs:documentation>Describes the tree configuration. (optional)</xs:documentation>
    							</xs:annotation>
    						</xs:element>
    					</xs:sequence>
    				</xs:complexType>
    			</xs:element>
    			<xs:element name="GlobalSteeringParameters" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Describes the global steering parameters configuration.</xs:documentation>
    				</xs:annotation>
    				<xs:complexType>
    					<xs:sequence>
    						<xs:element name="SteeringParameterField" type="SteeringParameterFieldDesc" minOccurs="0" maxOccurs="unbounded">
    							<xs:annotation>
    								<xs:documentation>Describes a steering parameter field. (optional)</xs:documentation>
    							</xs:annotation>
    						</xs:element>
    						<xs:element name="SteeringParameterGroup" type="SteeringParameterGroupDesc" minOccurs="0" maxOccurs="unbounded">
    							<xs:annotation>
    								<xs:documentation>Describes a steering parameter group. (optional)</xs:documentation>
    							</xs:annotation>
    						</xs:element>
    					</xs:sequence>
    				</xs:complexType>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="HistogramReadDesc">
    		<xs:annotation>
    			<xs:documentation>Description of the histogram/graph reading.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="Read" type="xs:boolean">
    				<xs:annotation>
    					<xs:documentation>Read flag. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="RunNumber" type="xs:integer">
    				<xs:annotation>
    					<xs:documentation>Run numbers of the required histogram/graph file. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Path" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>directory path to read histogram/graph file. When this is empty, global input path is used.(optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="FileName" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The name of the histogram input file. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="HistogramWriteDesc">
    		<xs:annotation>
    			<xs:documentation>Description of the histogram/graph writing.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="Write" type="xs:boolean">
    				<xs:annotation>
    					<xs:documentation>Write flag. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Path" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>directory path to write histogram/graph file. When this is empty global output path is used.(optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="FileName" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The name of the histogram output file. (e.g. histos#.root, # will be replaced by run number) (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="AccumulateAll" type="xs:boolean" default="false" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>If this value is true all the histograms and graphs are not reset by framework. Default is false.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="DeactivateAll" type="xs:boolean" default="false" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>If this value is true all the histograms and graphs are deactivated. Default is false.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="AutoSavePeriod" type="xs:integer" default="0" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Period of auto saving of histogram file in sec. Auto saving is disabled when this is 0. Auto save works only when OutputFileOption is &quot;RECREATE&quot;. Default is 0.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="SnapShotFileName" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>File name of snap shot of histograms. (e.g. histos_ss_#_##.root, # and ## will be replaced by run number and event number.) (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="SnapShotEvents" type="xs:integer" default="10000" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Snap shots are created every this number of events, if file name is specified. Default is 10000.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="MacrosDesc">
    		<xs:annotation>
    			<xs:documentation>Description of macros.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="BeginOfRun" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Macro file name which is executed at the begin of run. It is executed after Tasks::BeginOfRun. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="BeginOfEvent" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Macro file name which is executed at the begin of event. It is executed before Tasks::Event. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="EndOfEvent" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Macro file name which is executed at the end of event. It is executed after Tasks::Event. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="EndOfRun" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Macro file name which is executed at the end of run. It is executed after Tasks::EndOfRun. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="HistogramDesc">
    		<xs:annotation>
    			<xs:documentation>Description of the histogram configuration.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="HistName" type="xs:string">
    				<xs:annotation>
    					<xs:documentation>The name of the histogram. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
     			<xs:element name="HistActive" type="xs:boolean" default="true" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>If this value is false the histograms is not allocated. You can check if the histogram is active in code by IsHistnameActive() function. Default is true.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="HistWrite" type="xs:boolean" default="true" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>If this value is false the histograms is not written to disk. Default is true.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="HistTitle" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The title of the histogram. Displayed in the ROOT browser. This value overwrites the value specified in the definition file. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="HistFolderTitle" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The title of the ROOT folder in which the histogram is stored. This value overwrites the value specified in the definition file. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="HistArraySize" type="xs:string" default="1" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The array size of the histogram. This value will be ignord if the histogram is not declared as an array in the ROME definition file. The histograms are named HistName_001 and so on. With HistArrayStartIndex you can specifie with which number the enumeration starts. This value overwrites the value specified in the definition file. Default is 1.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="HistArrayStartIndex" type="xs:integer" default="0" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation> Start index of histogram array name enumeration. This value overwrites the value specified in the definition file. Default is 0.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="HistXLabel" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The label text of the x axis. Text has to be placed in quotes. This value overwrites the value specified in the definition file. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="HistYLabel" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The label text of the y axis. Text has to be placed in quotes. This value overwrites the value specified in the definition file. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="HistZLabel" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The label text of the z axis. Text has to be placed in quotes. This value overwrites the value specified in the definition file. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="HistXNbins" type="xs:integer" default="1" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The number of bins in x. This value overwrites the value specified in the definition file. Default is 1.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="HistXmin" type="xs:double" default="0" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The minimum value in x. This value overwrites the value specified in the definition file. Default is 0.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="HistXmax" type="xs:double" default="1" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The maximum value in x. This value overwrites the value specified in the definition file. Default is 1.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="HistYNbins" type="xs:integer" default="1" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The number of bins in y. This value overwrites the value specified in the definition file. Default is 1.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="HistYmin" type="xs:double" default="0" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The minimum value in y. This value overwrites the value specified in the definition file. Default is 0.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="HistYmax" type="xs:double" default="1" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The maximum value in y. This value overwrites the value specified in the definition file. Default is 1.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="HistZNbins" type="xs:integer" default="1" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The number of bins in z. This value overwrites the value specified in the definition file. Default is 1.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="HistZmin" type="xs:double" default="0" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The minimum value in z. This value overwrites the value specified in the definition file. Default is 0.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="HistZmax" type="xs:double" default="1" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The maximum value in z. This value overwrites the value specified in the definition file. Default is 1.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="HistOption" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Option for TProfile. This value overwrites the value specified in the definition file. Default is &quot;&quot;.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="HistAccumulate" type="xs:boolean" default="false" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>If this value is true the histograms content will be accumulated over all runs. Default is false.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="GraphDesc">
    		<xs:annotation>
    			<xs:documentation>Description of the graph configuration.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="GraphName" type="xs:string">
    				<xs:annotation>
    					<xs:documentation>The name of the graph. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
     			<xs:element name="GraphActive" type="xs:boolean" default="true" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>If this value is false the graph is not allocated. You can check if the graph is active in code by IsGraphnameActive() function. Default is true.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="GraphWrite" type="xs:boolean" default="true" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>If this value is false the graph is not written to disk. Default is true.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="GraphTitle" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The title of the graph. Displayed in the ROOT browser. This value overwrites the value specified in the definition file. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="GraphFolderTitle" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The title of the ROOT folder in which the graph is stored. This value overwrites the value specified in the definition file. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="GraphArraySize" type="xs:string" default="1" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The array size of the graph. This value will be ignord if the graph is not declared as an array in the ROME definition file. The histograms are named HistName_001 and so on. With HistArrayStartIndex you can specifie with which number the enumeration starts. This value overwrites the value specified in the definition file. Default is 1.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="GraphArrayStartIndex" type="xs:integer" default="0" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation> Start index of graph array name enumeration. This value overwrites the value specified in the definition file. Default is 0.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="GraphXLabel" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The label text of the x axis. Text has to be placed in quotes. This value overwrites the value specified in the definition file. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="GraphYLabel" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The label text of the y axis. Text has to be placed in quotes. This value overwrites the value specified in the definition file. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="GraphZLabel" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The label text of the z axis. Text has to be placed in quotes. This value overwrites the value specified in the definition file. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="GraphAccumulate" type="xs:boolean" default="false" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>If this value is true the graphs are not reset by framework. Default is false.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="TaskDesc">
    		<xs:annotation>
    			<xs:documentation>Description of the task configuration.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="TaskName" type="xs:string">
    				<xs:annotation>
    					<xs:documentation>The name of the task. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Active" type="xs:boolean" default="true">
    				<xs:annotation>
    					<xs:documentation>Inactive tasks are not executed by the framework. Default is true.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Histogram" type="HistogramDesc" minOccurs="0" maxOccurs="unbounded">
    				<xs:annotation>
    					<xs:documentation>Describes a histogram configuration. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Graph" type="GraphDesc" minOccurs="0" maxOccurs="unbounded">
    				<xs:annotation>
    					<xs:documentation>Describes a graph configuration. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="SteeringParameterField" type="SteeringParameterFieldDesc" minOccurs="0" maxOccurs="unbounded">
    				<xs:annotation>
    					<xs:documentation>Describes a steering parameter field of a task. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="SteeringParameterGroup" type="SteeringParameterGroupDesc" minOccurs="0" maxOccurs="unbounded">
    				<xs:annotation>
    					<xs:documentation>Describes a steering parameter group of a task. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Task" type="TaskDesc" minOccurs="0" maxOccurs="unbounded">
    				<xs:annotation>
    					<xs:documentation>Describes a sub-task. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="AnalyzerDesc">
    		<xs:annotation>
    			<xs:documentation>Describes the framework specifications, which are used for an analyzer.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="HistogramRead" type="HistogramReadDesc" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Describes the histogram/graph reading. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="HistogramWrite" type="HistogramWriteDesc" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Describes the histogram/graph writing. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Macros" type="MacrosDesc" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Describes the macross in which the framework can run. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Tasks" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Describes the tasks in the framework.</xs:documentation>
    				</xs:annotation>
    				<xs:complexType>
    					<xs:sequence>
    						<xs:element name="Task" type="TaskDesc" minOccurs="0" maxOccurs="unbounded">
    							<xs:annotation>
    								<xs:documentation>Describes the task configuration. (optional)</xs:documentation>
    							</xs:annotation>
    						</xs:element>
    					</xs:sequence>
    				</xs:complexType>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="AnalyzerControllerDesc">
    		<xs:annotation>
    			<xs:documentation>Description of the Analyzer Contoller Settings.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="Active" type="xs:boolean">
    				<xs:annotation>
    					<xs:documentation>Activate flag.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="NetFolderName" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Name of the NetFolder to steer the analysis.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="DisplayDesc">
    		<xs:annotation>
    			<xs:documentation>Describes the display specific properties.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="WindowScale" type="xs:float" default="1.0" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Basic size of main window.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="StatusBar" type="xs:boolean" default="true" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Display a status bar in the window.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="UpdateFrequency" type="xs:integer" default="0" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Time intervall after which the EventHandler method is called in milli seconds. 0 means no update. Default is 0.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="ScreenShotPeriod" type="xs:integer" default="60" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Time intervall to take screen shots of tabs whose ScreenShotName is set (in seconds). When it is 0, screen shots are taken every time when grahics is updated. Default is 60.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="ListTreeView" type="xs:boolean" default="false" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Use ListTree to select displays rather than tabs.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="TimeZone" type="xs:string" default="local" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Time offset used for time display. &quot;local&quot; or &quot;utc&quot; are valid.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="AnalyzerController" type="AnalyzerControllerDesc" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Description of the Analyzer Contoller Settings.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="SocketClientDesc">
    		<xs:annotation>
    			<xs:documentation>Description of the socket client connection to the ROME analyzer. This section is needed if the program mode is 3.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="Host" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Host which runs the ROME analyzer.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Port" type="xs:integer" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Port number for the socket connection.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="NetFolderDesc">
    		<xs:annotation>
    			<xs:documentation>Description of the NetFolder configuration.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="NetFolderName" type="xs:string">
    				<xs:annotation>
    					<xs:documentation>The name of the NetFolder. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Active" type="xs:boolean">
    				<xs:annotation>
    					<xs:documentation>Activate flag.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Reconnect" type="xs:boolean" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>If true, the framework tries to reconnect if the connection is lost. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Host" type="xs:string">
    				<xs:annotation>
    					<xs:documentation>The host of the NetFolder.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Port" type="xs:integer">
    				<xs:annotation>
    					<xs:documentation>The port for the connection</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Root" type="xs:string">
    				<xs:annotation>
    					<xs:documentation>The host's root folder.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="ObjectDisplayDesc">
    		<xs:annotation>
    			<xs:documentation>Description of an object display.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="ObjectDisplayName" type="xs:string">
    				<xs:annotation>
    					<xs:documentation>The name of the object display. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="DrawOption" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The root draw option. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="LogScaleX" type="xs:boolean" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>X axis log scale flag. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="LogScaleY" type="xs:boolean" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Y axis log scale flag. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="LogScaleZ" type="xs:boolean" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Z axis log scale flag. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="SingleObjectDesc">
    		<xs:annotation>
    			<xs:documentation>Description of an single object.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="SingleObjectName" type="xs:string">
    				<xs:annotation>
    					<xs:documentation>The name of the single object. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="DrawOption" type="xs:string" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The root draw option. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="LogScaleX" type="xs:boolean" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>X axis log scale flag. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="LogScaleY" type="xs:boolean" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Y axis log scale flag. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="LogScaleZ" type="xs:boolean" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Z axis log scale flag. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="TabDesc">
    		<xs:annotation>
    			<xs:documentation>Description of the tab configuration.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="TabName" type="xs:string">
    				<xs:annotation>
    					<xs:documentation>The name of the tab.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Active" type="xs:boolean">
    				<xs:annotation>
    					<xs:documentation>Inactive tasks are not executed by the framework.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="ScreenShotFileName" type="xs:string">
    				<xs:annotation>
    					<xs:documentation>When this is set, screen show of the tab is written periodically.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="NewWindow" type="xs:boolean">
    				<xs:annotation>
    					<xs:documentation>When this is set, a new window is created for the tab.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="NumberOfPadsX" type="xs:integer" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The initial number of pads in horizontal direction. This tag is only used for tabs with display objects.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="NumberOfPadsY" type="xs:integer" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>The initial number of pads in vertical direction. This tag is only used for tabs with display objects.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="PadConfiguration" type="xs:boolean" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Tells the tab to activate the pad configuration. This tag is only used for tabs with display objects.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="ObjectDisplay" type="ObjectDisplayDesc" minOccurs="0" maxOccurs="unbounded">
    				<xs:annotation>
    					<xs:documentation>Describes an object display.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="SingleObject" type="SingleObjectDesc" minOccurs="0" maxOccurs="unbounded">
    				<xs:annotation>
    					<xs:documentation>Describes an single object.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="SteeringParameterField" type="SteeringParameterFieldDesc" minOccurs="0" maxOccurs="unbounded">
    				<xs:annotation>
    					<xs:documentation>Describes a steering parameter field of a task.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="SteeringParameterGroup" type="SteeringParameterGroupDesc" minOccurs="0" maxOccurs="unbounded">
    				<xs:annotation>
    					<xs:documentation>Describes a steering parameter group of a task.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Tab" type="TabDesc" minOccurs="0" maxOccurs="unbounded">
    				<xs:annotation>
    					<xs:documentation>Describes a sub-tab.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="MonitorDesc">
    		<xs:annotation>
    			<xs:documentation>Describes the framework specifications, which are used for a monitor.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="Display" type="DisplayDesc" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Describes the display specific properties.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="SocketClient" type="SocketClientDesc" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Description of the socket client connection to the ROME analyzer. This section is needed if the program mode is 3.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="NetFolders" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Describes the NetFolders in the framework.</xs:documentation>
    				</xs:annotation>
    				<xs:complexType>
    					<xs:sequence>
    						<xs:element name="NetFolder" type="NetFolderDesc" minOccurs="0" maxOccurs="unbounded">
    							<xs:annotation>
    								<xs:documentation>Describes the NetFolder configuration. (optional)</xs:documentation>
    							</xs:annotation>
    						</xs:element>
    					</xs:sequence>
    				</xs:complexType>
    			</xs:element>
    			<xs:element name="Tabs" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Describes the tabs.</xs:documentation>
    				</xs:annotation>
    				<xs:complexType>
    					<xs:sequence>
    						<xs:element name="Tab" type="TabDesc" maxOccurs="unbounded">
    							<xs:annotation>
    								<xs:documentation>Describes the tab configuration.</xs:documentation>
    							</xs:annotation>
    						</xs:element>
    					</xs:sequence>
    				</xs:complexType>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="BankDesc">
    		<xs:annotation>
    			<xs:documentation>Description of a midas bank.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="BankName" type="xs:string">
    				<xs:annotation>
    					<xs:documentation>The name of the bank. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Active" type="xs:boolean" default="false" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>If true, this bank will be analyzed. Default is false.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="EventDesc">
    		<xs:annotation>
    			<xs:documentation>Description of a midas event.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="EventName" type="xs:string">
    				<xs:annotation>
    					<xs:documentation>The name of the event. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Active" type="xs:boolean" default="false" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>If true, this event type will be analyzed. Default is false.</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Bank" type="BankDesc" minOccurs="0" maxOccurs="unbounded">
    				<xs:annotation>
    					<xs:documentation>Describes a midas bank. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="ProgramConfigurationDesc">
    		<xs:annotation>
    			<xs:documentation>Description of the program configuration.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="ProgramMode" type="ProgramModeValue">
    				<xs:annotation>
    					<xs:documentation>The program mode. Must be one of the following : 0 : analyzer; 1 : monitor; 2 : analyzer and monitor; 3 : monitor connected to an analyzer. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:complexType name="ConfigurationDesc">
    		<xs:annotation>
    			<xs:documentation>Description of the configuration.</xs:documentation>
    		</xs:annotation>
    		<xs:sequence>
    			<xs:element name="Modes" type="ModesDesc" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Describes the modes in which the framework can run. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Offline" type="OfflineDesc" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Describes the offline specific configuration. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Online" type="OnlineDesc" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Describes the online specific configuration. (optional)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Paths" type="PathsDesc" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Describes the file paths the framework is using. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Common" type="CommonDesc" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Describes the framework specifications, which are common for analyzer and monitors. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Analyzer" type="AnalyzerDesc" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Describes the framework specifications, which are used for an analyzer. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Monitor" type="MonitorDesc" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Describes the framework specifications, which are used for a monitor. (required)</xs:documentation>
    				</xs:annotation>
    			</xs:element>
    			<xs:element name="Midas" minOccurs="0">
    				<xs:annotation>
    					<xs:documentation>Describes the midas dependent part of the framework.</xs:documentation>
    				</xs:annotation>
    				<xs:complexType>
    					<xs:sequence>
    						<xs:element name="MidasByteSwap" type="xs:boolean" minOccurs="0">
    							<xs:annotation>
    								<xs:documentation>When it is true, framework does byte swapping when reading MIDAS files. Default is false.</xs:documentation>
    							</xs:annotation>
    						</xs:element>
    						<xs:element name="MidasOnlineCommunicationThread" type="xs:boolean" minOccurs="0">
    							<xs:annotation>
    								<xs:documentation>When it is true, in online mode, framework communicates with MIDAS server by using dedicated thread. You may use this option when you have time consuming functions in event loop. When there is a time consuming function in event loop, the program may not receive signals from MIDAS server to start/stop runs. This can cause error in MIDAS server. Timeout of MIDAS communication is different depends on OS, it is typically around 1 minute. If this option is true, ODB functions in user code may not work properly, because MIDAS communication is implemented with assuming done in a thread.</xs:documentation>
    							</xs:annotation>
    						</xs:element>
    						<xs:element name="MidasOnlineLoopPeriod" type="xs:integer" minOccurs="0">
    							<xs:annotation>
    								<xs:documentation>Loop period to read online midas event from experiment in milli second. If you set small number, analyzer reads events frequently. If it is too much load for midas server, you may increase this number. Positive number or 0 is valid.</xs:documentation>
    							</xs:annotation>
    						</xs:element>
    						<xs:element name="Event" type="EventDesc" minOccurs="0" maxOccurs="unbounded">
    							<xs:annotation>
    								<xs:documentation>Describes a midas event. (optional)</xs:documentation>
    							</xs:annotation>
    						</xs:element>
    					</xs:sequence>
    				</xs:complexType>
    			</xs:element>
    		</xs:sequence>
    	</xs:complexType>
    	<xs:element name="Configuration">
    		<xs:annotation>
    			<xs:documentation>Configuration of a ROME Framework.</xs:documentation>
    		</xs:annotation>
    		<xs:complexType>
    			<xs:sequence>
    				<xs:element name="ProgramConfiguration" type="ProgramConfigurationDesc" minOccurs="0">
    					<xs:annotation>
    						<xs:documentation>Describes the program configuration. (required)</xs:documentation>
    					</xs:annotation>
    				</xs:element>
    				<xs:element name="MainConfiguration" type="ConfigurationDesc">
    					<xs:annotation>
    						<xs:documentation>Describes the main framework configuration. (required)</xs:documentation>
    					</xs:annotation>
    				</xs:element>
    				<xs:element name="RunConfiguration" type="ConfigurationDesc" minOccurs="0" maxOccurs="unbounded">
    					<xs:annotation>
    						<xs:documentation>Describes a run configuration, which overrides the main configuration for the specified runs. (optional)</xs:documentation>
    					</xs:annotation>
    				</xs:element>
    			</xs:sequence>
    		</xs:complexType>
    	</xs:element>
    </xs:schema>